Servers - Bug #1405

[web] License incompatibility between current Archweb, konami.js, bootstrap-typeahead.js
2017-07-07 03:01 AM - adfeno

Status: open % Done: 0%
Priority: freedom issue

Assignee: lukeshu

Category:

Description

Note: Please take the archweb-generic branch of the parabolaweb repository as base for this bug.

- Our copy of Archweb is licensed under GNU GPL 2 (assumed to be "only" because the "README" file doesn't tell if there is an
upgrade possibility).

- konami.js (from commit c0f686e647765860ff4d2fcb7b48122785432b75) is licensed under GNU GPL 3 (assumed to be "only"
because the license notice in the file doesn't tell if there is an upgrade possibility).

- "sitestatic/bootstrap-typeahead.js" is licensed under Apache License 2.0.

- "visualize/static/visualize.js" is licensed under GNU GPL 2 (assumed to be "only" because the license notice in the file doesn't tell if
there is an upgrade possibility).

- "mirrors/static/mirror_status.js" is licensed under GNU GPL 2 (assumed to be "only" because the license notice in the file doesn't
tell if there is an upgrade possibility).

| see the following possibilities:
- Find a version of Archweb which allows upgrading to GNU GPL 3+.
- Remove the scripts licensed under GNU GPL 3 or GNU GPL 3+.

- Remove the scripts licensed under Apache License 2.0.

History

#1 - 2017-07-07 03:44 AM - lukeshu

- Assignee set to lukeshu

| don't believe that the listed javascript files interact with eachother or with the Python backend in a way that would cause the licenses to interact.

However, if you believe that | am mistaken, | advise that you raise this upstream with Archweb, either via bugs.archlinux.org, or on the
arch-projects@archlinux.org mailing list (you'll need to put [archweb] in the subject line or it will automatically reject the email).

#2 - 2017-07-07 03:44 AM - lukeshu

- Subject changed from License incompatibility between current Archweb, konami.js, bootstrap-typeahead.js, visualize.js, mirror_status.js, to [web]
License incompatibility between current Archweb, konami.js, bootstrap-typeahead.js, visualize.js, mirror_status.js,

#3 - 2017-07-08 06:06 AM - adfeno

Following the suggestions made in this bug by lukeshu and also by some people in the #fsf IRC channel (it was either yrk or bill-auger), | think we
should take this to upstream (Archweb), also because, as | said in IRC, Archweb seems to be making use of templates, some webpages make use of
in-page JavaScript to call the JavaScript files, and the GNU GPL licensed JavaScript files don't have the text described in
http://www.gnu.org/licenses/gpl-fag.htmI#WMS.

#4 - 2017-07-08 11:27 PM - adfeno

The message was sent to upstream, see the first message in the mailing list thread:
https://lists.archlinux.org/pipermail/arch-projects/2017-July/004590.html.

#5 - 2018-01-07 04:12 PM - adfeno

See the thread that started when | attempted to bring upstream's attention to the issue:
https:/lists.archlinux.org/pipermail/arch-projects/2018-January/004684.html. There are interesting replies there.
#6 - 2018-01-15 01:42 AM - lukeshu

- Subject changed from [web] License incompatibility between current Archweb, konami.js, bootstrap-typeahead.js, visualize.js, mirror_status.js, to
[web] License incompatibility between current Archweb, konami.js, bootstrap-typeahead.js

After reviewing the source, | agree that there is a license incompatibility between Archweb<->konami.js and Archweb<->bootstrap-typeahead.js.

https://lists.archlinux.org/pipermail/arch-projects/2018-January/004690.html
